USE 33
JOIN %TIP TO 33 INTO CODTAB==TIPODOC
END

DESCRIPTION
BEGIN
  33->* "Documenti di vendita"
  20->* "Clienti/Fornitori"
  %TIP->* "Tabella tipi documento"
END

GENERAL
BEGIN
  OFFSET 0 0
//  FONT "Courier New"
//  SIZE 12
END


SECTION GRAPHIC
BEGIN
END

SECTION HEADER ODD 6

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  120 1 "Data "
 MESSAGE _DATA
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  137 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 25
BEGIN
 KEY "Intestazione stampa"
 PROMPT  45 2 "Stampa lista documenti"
END

STRINGA 5 146
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
END

STRINGA 6 8
BEGIN
  KEY "Intestazione (Cod. numerazione)"
  PROMPT 1 4 "Cod. num."
END

STRINGA 7 9
BEGIN
  KEY "Intestazione (Tipo doc.)"
  PROMPT 11 4 "Tipo doc."
END

STRINGA 8 8
BEGIN
  KEY "Intestazione (Numero doc.)"
  PROMPT 22 4 "Nr. doc."
END

STRINGA 9 9
BEGIN
  KEY "Intestazione (Data doc.)"
  PROMPT 31 4 "Data doc."
END

STRINGA 10 7
BEGIN
  KEY "Intestazione (Cliente)"
  PROMPT 48 4 "Cliente"
END

STRINGA 11 10
BEGIN
  KEY "Intestazione (Stato doc.)"
  PROMPT 67 4 "St. doc."
END

STRINGA 12 10
BEGIN
  KEY "Intestazione (Cod. Valuta)"
  PROMPT 76 4 "Val."
END

STRINGA 13 10
BEGIN
  KEY "Intestazione (Imponibile)"
  PROMPT 91 4 "Imponibile"
END

STRINGA 14 10
BEGIN
  KEY "Intestazione (Spese)"
  PROMPT 111 4 "Spese"
END

STRINGA 15 10
BEGIN
  KEY "Intestazione (IVA)"
  PROMPT 128 4 "IVA"
END

STRINGA 16 14
BEGIN
  KEY "Intestazione (Importo totale)"
  PROMPT 134 4 "Importo tot."
END

STRINGA 17 146
BEGIN
  KEY "Separatore (finale)"
  PROMPT 1 5 "------------------------------------------------------------------------------------------------------------------------------------------------------"
END

END

SECTION BODY ODD 2

STRINGA 21 4
BEGIN
 KEY "Codice numerazione"
 PROMPT  1 1 ""
 FIELD 33->CODNUM
END

STRINGA 22 9
BEGIN
 KEY "Tipo documento"
 PROMPT  11 1 ""
 FIELD %TIP->S0
END

NUMERO 23 7
BEGIN
 KEY "Numero documento"
 PROMPT  22 1 ""
 FIELD 33->NDOC
 PICTURE "#######"
END

DATA 24 10
BEGIN
 KEY "Data documento"
 PROMPT  31 1 ""
 FILED 33->DATADOC
END

NUMERO 25 7
BEGIN
 KEY "Codice cliente"
 PROMPT  42 1 ""
 FIELD 33->CODCF
 PICTURE "#######"
END

STRINGA 26 22 2
BEGIN
 KEY "Cliente ragione sociale"
 PROMPT  51 1 ""
 MESSAGE _CLIENTE,!RAGSOC
END

STRINGA 27 1
BEGIN
 KEY "Stato documento"
 PROMPT  73 1 ""
 FIELD 33->STATO
END

STRINGA 28 4
BEGIN
  KEY "Cod. Valuta"
  PROMPT 76 1 ""
  FIELD 33->CODVAL
END

NUMBER 29 15 
BEGIN
 KEY "Totale imponibile (con spese)"
 PROMPT  86 1 ""
 MESSAGE _TOTIMPONIBILI,0|COPY,40
 PICTURE "###.###.###.###"
END

NUMBER 30 15 
BEGIN
 KEY "Spese"
 PROMPT  101 1 ""
 PICTURE "###.###.###.###"
 FIELD TOTSPE
 MESSAGE COPY,41
END

NUMBER 31 15 
BEGIN
 KEY "Totale imposte"
 PROMPT  116 1 ""
 FIELD IMPOSTE
 MESSAGE COPY,42
 PICTURE "###.###.###.###"
END

NUMBER 32 15 
BEGIN
 KEY "Totale documento"
 PROMPT  131 1 ""
 FIELD TOTDOC
 PICTURE "###.###.###.###"
 MESSAGE COPY,43
END

NUMBER 40 15 
BEGIN
 KEY "Hidden field for computing tot imponibili"
 FLAGS "H"
 PROMPT  86 1 ""
 MESSAGE _NUMEXPR,IF(33->CAMBIO!=0;#40*33->CAMBIO;#40)
 MESSAGE ADD,FL->52
END

NUMBER 41 15 
BEGIN
 KEY "Hidden field for computing tot spese"
 PROMPT  101 1 ""
 MESSAGE _NUMEXPR,IF(33->CAMBIO!=0;#41*33->CAMBIO;#41)
 MESSAGE ADD,FL->53
 FLAGS "H"
END

NUMBER 42 15 
BEGIN
 KEY "Hidden field for computing tot imposte"
 PROMPT  116 1 ""
 MESSAGE _NUMEXPR,IF(33->CAMBIO!=0;#42*33->CAMBIO;#42)
 MESSAGE ADD,FL->54
 FLAGS "H"
END

NUMBER 43 15 
BEGIN
 KEY "Hidden field for computing tot documento"
 PROMPT  131 1 ""
 MESSAGE _NUMEXPR,IF(33->CAMBIO!=0;#43*33->CAMBIO;#43)
 MESSAGE ADD,FL->55
 FLAGS "H"
END

END

SECTION FOOTER LAST 2

STRINGA 51 25 1
BEGIN
 KEY "Totale"
 PROMPT  51 1 "@BTotale"
END

NUMBER 52 15
BEGIN
 KEY "Totale imponibili"
 PROMPT  86 1 ""
 PICTURE "###.###.###.###"
END

NUMBER 53 15 
BEGIN
 KEY "Totale Spese"
 PROMPT  101 1 ""
 PICTURE "###.###.###.###"
END

NUMBER 54 15 
BEGIN
 KEY "Totale imposte"
 PROMPT  116 1 ""
 PICTURE "###.###.###.###"
END

NUMBER 55 15 
BEGIN
 KEY "Totale documenti"
 PROMPT  131 1 ""
 PICTURE "###.###.###.###"
END

END


